// file      : CCF/CIDL/Traversal.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : Traversal.hpp,v 1.2 2003/07/29 21:45:39 boris Exp

#ifndef CCF_CIDL_TRAVERSAL_HPP
#define CCF_CIDL_TRAVERSAL_HPP

#include "CCF/IDL3/Traversal.hpp"

#include "CCF/CIDL/Traversal/Composition.hpp"
#include "CCF/CIDL/Traversal/HomeExecutor.hpp"

namespace CCF
{
  namespace CIDL
  {
    namespace Traversal
    {
      using namespace IDL3::Traversal;
    }
  }
}

#endif  // CCF_CIDL_TRAVERSAL_HPP
